# Poco::XML

# class NodeList

Library: XML
Package: DOM
Header: Poco/DOM/NodeList.h

## Description

The NodeList interface provides the abstraction of an ordered collection of nodes, without defining or constraining how this collection is implemented.

The items in the NodeList are accessible via an integral index, starting from 0.

A NodeList returned from a method must be released with a call to release() when no longer needed.

## Inheritance

Direct Base Classes: DOMObject

All Base Classes: DOMObject

Known Derived Classes: ChildNodesList, ElementsByTagNameList, ElementsByTagNameListNS

## Member Summary

Member Functions: item, length

Inherited Functions: autoRelease, duplicate, release

## Destructor

### ~NodeList

virtual ~NodeList();

## Member Functions

### item

virtual Node * item(
unsigned long index
) const = 0;

Returns the index'th item in the collection. If index is greater than or equal to the number of nodes in the list, this returns null.

### length

virtual unsigned long length() const = 0;

Returns the number of nodes in the list. The range of valid node indices is 0 to length - 1 inclusive.